Announcement

Collapse
No announcement yet.

Red Hat Enterprise Linux 10 Is Eliminating GTK 2 Support

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • franglais125
    replied
    I don't typically agree with birdie, but this feels like some sort of public lynching.

    Leave a comment:


  • Fabio_lolix
    replied
    Originally posted by birdie View Post
    Any volunteers to port these apps to GTK3/4?

    ddccontrol-gtk - use it daily
    gkrellm - likewire
    gpicview - use quite a lot
    hexchat - use quite a lot
    lxdm - my DM
    pavumeter - use it often
    unique - it has UI? Really? OMG


    A weird decision on Redhat's part.

    And these are GTK2 applications that I use. I imagine people have lots more.
    Red Hat Enterprise Linux 10 will be released in 2025, which will be supported for about 10 years, which mean supporting GTK2 until about 2035, for a toolkit which is already deprecated

    Leave a comment:


  • q66_
    replied
    Originally posted by birdie View Post
    Any volunteers to port these apps to GTK3/4?

    ddccontrol-gtk - use it daily
    gkrellm - likewire
    gpicview - use quite a lot
    hexchat - use quite a lot
    lxdm - my DM
    pavumeter - use it often
    unique - it has UI? Really? OMG


    A weird decision on Redhat's part.

    And these are GTK2 applications that I use. I imagine people have lots more.
    gpicview and lxdm are gtk3

    Leave a comment:


  • middy
    replied
    probably should just lock this threads since its just a massive anti birdie​ fest circle jerk.

    Leave a comment:


  • karolherbst
    replied
    Originally posted by birdie View Post

    Find me a single message here on anywhere on the Internet where I'm trolling, I dare you. Everyone knows my name and email can be googled in a few seconds.
    https://www.phoronix.com/forums/foru...15#post1342515

    Leave a comment:


  • karolherbst
    replied
    Originally posted by birdie View Post
    Any volunteers to port these apps to GTK3/4?

    ddccontrol-gtk - use it daily
    gkrellm - likewire
    gpicview - use quite a lot
    hexchat - use quite a lot
    lxdm - my DM
    pavumeter - use it often
    unique - it has UI? Really? OMG


    A weird decision on Redhat's part.

    And these are GTK2 applications that I use. I imagine people have lots more.
    how much money do you pay to RH to support your use case?

    Leave a comment:


  • kpedersen
    replied
    Originally posted by Vistaus View Post

    Don't say that around here. People are complaining about TQt3 already and that has more developers than your future GTK2 branch if you are the sole maintainer. So there's no way people are going to welcome that.
    Possibly but it is fairly well known that since Qt doesn't use standard C++ and instead needs awkward preprocessors like MOC, it tends to rot badly. Their issues are evidence of that.

    Gtk+2.0 is simpler (and standard C99); Especially once combined into a monolithic library (currently it is a modular monolith that is common in the Linux ecosystem). Admittedly it wont ever be as light as FLTK (limiting to C++03 and a subset of STL was a good idea for portability), but I do predict that maintaining it won't be so bad.

    I have already done half of the combining whilst maintaining a Gtk 2.0 Quake III level editor.
    Last edited by kpedersen; 26 August 2022, 12:55 PM.

    Leave a comment:


  • birdie
    replied
    Originally posted by Vistaus View Post

    FYI, LXDM is already in the process of being ported to Qt as part of the LXQt development. And pavumeter development is dead and will remain dead as more and more distributions switch to PipeWire.

    Btw, I don't use any GKT2 app anymore and I don't know of anyone that does.
    PipeWire is a substitute for the PulseAudio server and offers the exact same API, so there's no need to port anything to PipeWire as long as it supports PulseAudio.

    Leave a comment:


  • Danielsan
    replied
    This will be a general problem when ithis choice will be enforced to all the other distros as usually happens with anything RH decides...

    A lot windows of managers, like WindowMaker for instance, do not understand GTK3 and 4, do not mix good together with those library and the result is ugly.

    Leave a comment:


  • RejectModernity
    replied
    Do you think GIMP team gonna make it until 2025? 🤔

    Leave a comment:

Working...
X